Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.support
Class XmlDocumentAdapter

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.support.XmlDocumentAdapter

All Implemented Interfaces:
  XmlDocument, PropertyChangeNotifier

    public class XmlDocumentAdapter

extends java.lang.Object
implements XmlDocument

Adapter for XmlDocument implementations/sources

Author:
  ole.matzura

Field Summary

Fields inherited from interface com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlDocument
`XML_PROPERTY`

Constructor Summary
`XmlDocumentAdapter()`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`
`org.apache.xmlbeans.SchemaTypeSystem` | `getTypeSystem()`
`java.lang.String` | `getXml()`
`boolean` | `hasTypeSystem()`
`void` | `release()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`
`void` | `setTypeSystem(org.apache.xmlbeans.SchemaTypeSystem typeSystem)`
`void` | `setXml(java.lang.String xml)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlDocumentAdapter

    public XmlDocumentAdapter()

Method Detail

### getTypeSystem

    public org.apache.xmlbeans.SchemaTypeSystem getTypeSystem()

  Specified by:
    `getTypeSystem` in interface `XmlDocument`

### setTypeSystem

    public void setTypeSystem(org.apache.xmlbeans.SchemaTypeSystem typeSystem)

### getXml

    public java.lang.String getXml()

  Specified by:
    `getXml` in interface `XmlDocument`

### hasTypeSystem

    public boolean hasTypeSystem()

### setXml

    public void setXml(java.lang.String xml)

  Specified by:
    `setXml` in interface `XmlDocument`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String propertyName,
                                          java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `PropertyChangeNotifier`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `PropertyChangeNotifier`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `PropertyChangeNotifier`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.lang.String propertyName,
                                             java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `PropertyChangeNotifier`

### release

    public void release()

  Specified by:
    `release` in interface `XmlDocument`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.